summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian Mollekopf <mollekopf@kolabsys.com>2015-04-21 18:02:53 +0200
committerChristian Mollekopf <mollekopf@kolabsys.com>2015-04-28 16:15:00 +0200
commit779b8f98fef34ded1e1bf99ec99927ed6e3db032 (patch)
tree4bbc43a9edaae7db2f0922a808deab80d8282b69
parent8dfd9f10b467b492ec073ee3f16f6c007ff16f45 (diff)
downloadlibkolab-779b8f98fef34ded1e1bf99ec99927ed6e3db032.tar.gz
cleanup
-rw-r--r--CMakeLists.txt13
1 files changed, 2 insertions, 11 deletions
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 3f6d90a..048c174 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -60,15 +60,6 @@ find_package(Qt5Core REQUIRED)
find_package(Libkolabxml 1.1 REQUIRED)
macro_log_feature(Libkolabxml_FOUND "Libkolabxml" "Kolab XML Format 3 serializing library" "http://git.kolab.org/libkolabxml/" TRUE "1.0" "Required for reading/writing Kolab XML Objects")
-find_package(ECM 5.9.0 CONFIG REQUIRED)
-set(CMAKE_MODULE_PATH "${Libkolab_SOURCE_DIR}/cmake/modules/" ${ECM_MODULE_PATH})
-include(GenerateExportHeader)
-include(ECMGenerateHeaders)
-include(ECMGeneratePriFile)
-include(ECMPackageConfigHelpers)
-include(ECMSetupVersion)
-include(FeatureSummary)
-
set(QT_REQUIRED_VERSION "5.2.0")
if (Qt5_POSITION_INDEPENDENT_CODE)
@@ -79,6 +70,7 @@ endif()
set(KDEPIMLIBS_LIB_VERSION "4.71.0")
find_package(KF5Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5CalendarCore ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
@@ -100,12 +92,11 @@ set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG")
set(KDE_INCLUDES ${KDEPIMLIBS_INCLUDE_DIRS} ${KDE4_INCLUDES})
set(KDE_LIBRARIES
KF5::CalendarCore
+ KF5::CalendarUtils
KF5::Contacts
KF5::Mime
KF5::AkonadiCore
KF5::AkonadiNotes
- KF5::CalendarUtils
- KF5::KIOCore
)
find_package(Boost REQUIRED)